### Method

# WebKit CookieManager add_cookie

since: 2.20

#### Declaration [src]

    void
    webkit_cookie_manager_add_cookie (
      WebKitCookieManager* cookie_manager,
      SoupCookie* cookie,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously add a `SoupCookie` to the underlying storage.

When the operation is finished, `callback` will be called. You can then call `webkit_cookie_manager_add_cookie_finish()` to get the result of the operation.

Available since: 2.20

This method completes asynchronously. Use `webkit_cookie_manager_add_cookie_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cookie`

  Type: `SoupCookie`

  The `SoupCookie` to be added.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.